/*
  MultiColorLamp - Example to use with Amarino
  Copyright (c) 2009 Bonifaz Kaufmann. 
  
  (Modified by Sagar Sapkota, www.buildcircuit.com)
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
package edu.mit.media.amarino.multicolorlamp;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import at.abraxas.amarino.Amarino;

public class MultiColorLampInterface extends Activity implements OnClickListener {
	
	private static final String TAG = "MultiColorLamp";
	
	public static String DEVICE_ADDRESS;
	
	EditText idField;
	Button button;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.input);
        
        Log.d(TAG, "Main onStart");
        
        // get references to views defined in our main.xml layout file
        idField = (EditText) findViewById(R.id.deviceIDField);
        button = (Button) findViewById(R.id.okButton);
        // register listeners
        button.setOnClickListener(this);
        SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(this);
        DEVICE_ADDRESS = prefs.getString("device", "00:06:66:42:21:D6");
        idField.setText(DEVICE_ADDRESS);
    }
    

	public void onClick(View v) 
	{
		DEVICE_ADDRESS = idField.getText().toString();
		PreferenceManager.getDefaultSharedPreferences(this)
			.edit()
				.putString("device", DEVICE_ADDRESS)
			.commit();
		Amarino.connect(this, DEVICE_ADDRESS);
		Intent i = new Intent(this, MultiColorLamp.class);
    	startActivity(i);
	}
	
}
